Cookie分析器与passport.js的使用仍然需要?

node.js找不到关于一般passport.js安装和声明的任何信息(在passport.js站点上)。 在教程中,我总是看到express session中间件和cookie-parser按照passport要求进行陈述,但session文档( https://github.com/expressjs/session )指出:

自1.5.0版本以来,不再需要使用cookie分析器中间件来使这个模块正常工作。 这个模块现在直接在req / res上读取和写入cookie。 如果这个模块和cookieparsing器之间的秘密不一样,使用cookieparsing器可能会导致问题。

所以,我需要使用sessioncookie-parserpassport出于某种原因,或者我只能使用session ,我需要调整一些东西呢?

       

网上收集的解决方案 "Cookie分析器与passport.js的使用仍然需要?"

不,护照本身不需要cookieparsing器中间件。 如果你想要session-persistentauthentication,那么你需要express-session中间件,这个中间件用来需要cookieparsing器,但是express的现代版本不再有这个需求(当前版本的express-session直接读写cookies) 。